envext
Prev | Other Csound Utilities (CS, CSB64ENC, ENVEXT, EXTRACTOR, MAKECSD, MIXER, SCALE) | Next

## envext

envext — Extracts the envelope of a file to a text file.

## Syntax

    envext [-flags] soundfile

    csound -U envext [-flags] soundfile

## Initialization

soundfile - Name of the input soundfile.

The following flags are available for envext (The default values are stated in parenthesis):

-o fnam Name of output filename (newenv)
-w size (in seconds) of analysis window (0.25)

The envext utility generates a text file containing time and amplitude pairs by finding the absolute peak within each window.

## Example

Using the command (while in the manual directory):

    csound -U envext examples/mary.wav

will produce the a text file containing the following:

0.000 0.000
0.000 0.000
0.250 0.000
0.500 0.000
0.750 0.000
1.249 0.170
1.499 0.269
1.530 0.307
1.872 0.263
2.056 0.304
2.294 0.241
2.570 0.216
2.761 0.178
3.077 0.011
3.251 0.001
3.500 0.000

Which shows the time for the peak amplitude within each measured window.

## Credits

Author: John ffitch

1995

Prev | Up | Next
csb64enc | Home | extractor